#chat_wrapper
{
  padding-bottom: 20px;
}

#chat_windows
{
  height: 100%;
  width: 100%;
  min-height: 200px;
  max-height: 400px;
  overflow-y: scroll;
  overflow-x: hidden;

  border: 1px solid transparent;
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
  border-color: #f5d0b8;
}

#chat_windows::-webkit-scrollbar {
      width: 5px;
}
 
#chat_windows::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 10px #f5d0b8;
    border-radius: 0.25rem;
}
 
#chat_windows::-webkit-scrollbar-thumb {
    background-color: #0582ff;
    border-radius: 0.25rem;
}

.chat_admin
{
  background-color: #cce5ff !important;
}
.deleted
{
  background-color: #f2f2f2 !important;
  color:            #cccccc !important;
}
.deleted > .chat_from
{
  color:            #cccccc !important;
}

.chat_selected_message
{
    background-color: #eda578 !important;
}

.chat_body
{
  color: #3c571e;
  background-color: #e3eed7;
  border-color: #d8e7c8;
  position: relative;
  padding: 0.75rem 1.25rem;
  margin: 0 1rem 0.3rem 1rem;
  border: 1px solid transparent;
  border-radius: 0.25rem;
}
.chat_from
{
    margin-bottom: 0.5rem;
    font-family: inherit;
    font-weight: 500;
    line-height: 1.2;
    display: inline-block;
}
.chat_text
{
  white-space: pre-line;
}

.chat_data
{
  float: right;
  display: inline-block;
}
#chat_send
{
  margin: 0.75rem 1.25rem;
  vertical-align: top;
}
.chat_msg
{
  white-space: pre-line;
  display: inline-block;
  width: 70%;
  padding: 0.375rem 0.75rem;
  margin: 0.75rem 1.25rem;
  font-size: 1rem;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  -webkit-transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
  transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
  min-height: 2rem;
  vertical-align: top;
}

.chat_terminal
{
  border-bottom: 1px solid transparent;
  border-left: 1px solid transparent;
  border-right: 1px solid transparent;

  border-bottom-left-radius: 0.25rem;
  border-bottom-right-radius: 0.25rem;
  border-color: #f5d0b8;
  position: relative;
  
  min-height: 20px;
  width: 100%;
}
